#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: pocolog 1.2 ruby lib

Gem::Specification.new do |s|
  s.name = "pocolog".freeze
  s.version = "1.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sylvain Joyeux".freeze]
  s.date = "2018-09-24"
  s.description = "1. http://www.laas.fr/~sjoyeux/simulation.php\n2. http://gitorious.com/orocos-toolchain/typelib.git\n3. http://softs.laas.fr/openrobots\n\n## Copyright\n\nCopyright (c) 2006   \n    Sylvain Joyeux <sylvain.joyeux@m4x.org>  \n    LAAS/CNRS <openrobots@laas.fr>  \n\n\n".freeze
  s.email = ["sylvain.joyeux@dfki.de".freeze]
  s.executables = ["pocolog".freeze, "pocolog-decode".freeze, "pocolog-repair".freeze, "pocosim-log".freeze]
  s.extra_rdoc_files = ["History.txt".freeze]
  s.files = ["History.txt".freeze, "README.markdown".freeze, "Rakefile".freeze, "benchmarks/sorted_set.rb".freeze, "bin/pocolog".freeze, "bin/pocolog-decode".freeze, "bin/pocolog-repair".freeze, "bin/pocosim-log".freeze, "lib/pocolog.rb".freeze, "lib/pocolog/convert.rb".freeze, "lib/pocolog/data_reader.rb".freeze, "lib/pocolog/data_writer.rb".freeze, "lib/pocolog/file.rb".freeze, "lib/pocolog/logger.rb".freeze, "lib/pocolog/stream_aligner.rb".freeze, "lib/pocolog/stream_index.rb".freeze, "lib/pocolog/test.rb".freeze, "lib/pocolog/version.rb".freeze, "lib/simlog.rb".freeze, "manifest.xml".freeze, "spec/spec-v2.txt".freeze, "test/data/camera32bit.0.log".freeze, "test/test_32_64.rb".freeze, "test/test_data_stream.rb".freeze, "test/test_file.rb".freeze, "test/test_stream_aligner.rb".freeze, "test/test_stream_aligner2.rb".freeze]
  s.homepage = "http://www.rock-robotics.org/master/api/tools/pocolog/".freeze
  s.licenses = ["GPLv2 or later".freeze]
  s.rdoc_options = ["--title".freeze, "TestPocolog Documentation".freeze, "--quiet".freeze]
  s.rubygems_version = "2.7.6".freeze
  s.summary = "Log file manipulation for oroGen's logger component".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<hoe>.freeze, ["~> 3.17"])
      s.add_runtime_dependency(%q<hoe-yard>.freeze, [">= 0.1.2"])
      s.add_runtime_dependency(%q<rake>.freeze, [">= 0.8"])
      s.add_runtime_dependency(%q<rbtree>.freeze, [">= 0.3.0"])
      s.add_runtime_dependency(%q<utilrb>.freeze, [">= 1.3.4"])
    else
      s.add_dependency(%q<hoe>.freeze, ["~> 3.17"])
      s.add_dependency(%q<hoe-yard>.freeze, [">= 0.1.2"])
      s.add_dependency(%q<rake>.freeze, [">= 0.8"])
      s.add_dependency(%q<rbtree>.freeze, [">= 0.3.0"])
      s.add_dependency(%q<utilrb>.freeze, [">= 1.3.4"])
    end
  else
    s.add_dependency(%q<hoe>.freeze, ["~> 3.17"])
    s.add_dependency(%q<hoe-yard>.freeze, [">= 0.1.2"])
    s.add_dependency(%q<rake>.freeze, [">= 0.8"])
    s.add_dependency(%q<rbtree>.freeze, [">= 0.3.0"])
    s.add_dependency(%q<utilrb>.freeze, [">= 1.3.4"])
  end
end
